sealevel-class {oce} | R Documentation

## Class to store sealevel data

### Description

Class to store sealevel data, e.g. from a tide gauge, with standard slots `metadata`, `data` and `processingLog`.

### Methods

Data may be accessed as e.g. `sealevel[["time"]]`, where the string could also be e.g. `"elevation"` for the corresponding sea-level elevation, or e.g. `"longitude"` or `"latitude"` for scalars. Items in `metadata` must be specifield by full name, but those in `data` may be abbreviated, so long as the abbreviation is unique.

Everything that may be accessed may also be assigned, e.g. `sealevel[["elevation"]] <- value`.

The `show` method displays information about the object, while `summary.sealevel` provides a statistical summary.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(sealevel)
    show(sealevel)
    plot(sealevel)

[Package oce version 0.9-18 Index]